%gets the fate of a cell by choosing times from distributions
function [thisCellTdiv,thisCellTdie] = getCellFate(experiment,generation)
    TDiv0mean= log((experiment.Tdiv0mean^2)/sqrt(experiment.Tdiv0var+experiment.Tdiv0mean^2)); 
    Tdiv0var = sqrt(log(experiment.Tdiv0var/(experiment.Tdiv0mean^2)+1));
    
    Tdie0mean= log((experiment.Tdie0mean^2)/sqrt(experiment.Tdie0var+experiment.Tdie0mean^2)); 
    Tdie0var = sqrt(log(experiment.Tdie0var/(experiment.Tdie0mean^2)+1));

    Tdiv1pmean= log((experiment.Tdiv1pmean^2)/sqrt(experiment.Tdiv1pvar+experiment.Tdiv1pmean^2)); 
    Tdiv1pvar = sqrt(log(experiment.Tdiv1pvar/(experiment.Tdiv1pmean^2)+1));


    pF = experiment.pF;
   
    %different Tdiv if gen 0 vs gen 1p cell
    if generation==1
        thisCellTdiv=lognrnd(TDiv0mean,Tdiv0var);
    else
        thisCellTdiv=lognrnd(Tdiv1pmean,Tdiv1pvar);
    end
    
    thisCellTdie=lognrnd(Tdie0mean,Tdie0var);
    
    %generate a random number between 0 and 1 and test whether greater than
    %the progression factor to see whether the cell actually is destined to
    %divide or not
    progressionFactor=rand();
    if progressionFactor>pF
        thisCellTdiv=999999;
    else
        thisCellTdie=999999;
    end
    
    
    
end
