function [x0,k,names] = getInitialCellCycle4(condition)
    %%%%%%%%%%%%%%%%%%%%%%%%%
    % Initial Conditions
    %%%%%%%%%%%%%%%%%%%%%%%%%
    x0 = zeros(25,1);
    % 1 CycA
    x0(1)= 0.0142539552875988;
    % 2 CycB
    x0(2)= 2.22899534214261;
    % 3 CycD
    x0(3)= 0.411217205293901;
    % 4 CycE
    x0(4)= 0.170235465841574;
    % 5 mCyCD
    x0(5)= 0;%0.0121808885503847;
    % 6 mBcl2
    x0(6)= 2000;%0.900532811450699; 
    % 7 Cdh1
    x0(7)= 1;
    % 8 CA
    x0(8)= 0.00134260387042958;
    % 9 CD
    x0(9)= 0.0390492004406290;
    % 10 CDc20
    x0(10)= 0.610580945676240;
    % 11 CDc20T
    x0(11)= 2.96753153361000;
    % 12 CE
    x0(12)= 0.0162305397730138;
    % 13 GM (General Machinery)
    x0(13)= 0.747610721903545;
    % 14 IEP
    x0(14)= 0.791894247347484;
    % 15 Mass
    x0(15)= 0.930762347816848;
    % 16 P27
    x0(16)= 00.0248042799840072;
    % 17 PPX
    x0(17)= 1;
    % 18 pp-RB
    x0(18)= 9.85940266034350;
    % 19 E2F
    x0(19)= 1.22119986093894;
    % 20 p-E2F
    x0(20)= 3.63917257468434;
    % 21 Rb
    x0(21)= 0.000974646286417894;
    % 22 E2F-Rb
    x0(22)= 0.0350816714183720;
    % 23 p-E2F-Rb
    x0(23)= 0.104543202961405;
    x0(24)=0;  %myc
    x0(25)=0; %myc transcript
    %%%%%%%%%%%%%%%%%
    % Constants
    %%%%%%%%%%%%%%%%%
    k = zeros(86,1);
    k(1)=0.025;  % signal
    k(2)=0.025;
    k(4)=0.035;
    k(5)=0.005;  % CycD degredation rate
    k(7)=1;  
    k(8)=1;%0.25;  %CycD from tCycD
    k(9)=0.5;  
    k(10)=100;
    k(11)=1;
    k(12)=0;
    k(13)=0.06;
    k(14)=0.01;
    k(15)=0.2;
    k(16)=100;
    k(17)=1;
    % CycA mass and E2F dependent synthesis
    k(21)=0.05; % original 0.005
    
    k(22)=2;
    k(23)=0.01;
    k(24)=0.06;

    k(26)=0.005;
    k(27)=2;
    k(28)=0.1;
    k(29)=2;
    k(30)=1;
    k(31)=10;
    k(35)=10;
    k(41)=0;
    k(42)=2;
    k(48)=14;
    k(51)=4;
    k(55)=0.005;
    k(56)=0.005;
    k(57)=0.07;
    k(58)=0.18;
    k(47)=0.75;
    k(40)=1;
    
    k(61)=0;
    k(62)=0.15;
    k(63)=0.15;
    k(64)=0.5;
    k(65)=0.25;

    k(68)=5;  % This parameter is not mentioned in the paper or ODE but in online model!
    k(69)=0.1;
    k(70)=0.0005;
    k(71)=0.1;
    k(72)=1000;
    k(73)=20;
    
    k=k./6;    % convert to minutes
  
    k(3)=0.1;
    k(6)=0.3;
    k(18)=0.1;
    k(19)=1;
    k(20)=0.05;
    k(25)=0.1;
    k(32)=0.5;
    k(33)=1;
    k(34)=0.5;
    k(36)=3.3;
    k(37)=5;
    k(38)=5;
    k(39)=3;
    k(43)=1; 
    k(44)=1;   
    k(45)=25;
    k(46)=2;
    
    k(49)=0.01;
    k(50)=0.01;
    k(52)=0;
    k(53)=1;
    k(54)=0.3;
    k(59)=0.01;
    k(60)=0.01;
    k(66)=0.005;
    k(67)=0.005;
    
    % FREE PARAMETERS
    k(74)=condition.GMSyn;  %% growth rate of GM 
    k(75)=condition.GMDeg;  %% GM decay
    k(76)=condition.MassGrowth; %% Mass growth based on GM
    k(77)=condition.EPS;  % eps is the synthesis rate (Ribosomes) 0-1
    k(78)= condition.CYCDtSyn; % tCycD synthesis    
    k(79)= condition.CYCDtDeg; % tCycD deg
    k(80)= condition.BCL2tSyn;    % tBcl2 synthesis
    k(81)= condition.BCL2tDeg; % tBcl2 deg
    k(82)= condition.MYCSyn;    % myc synthesis
    k(83)= condition.MYCDeg; % myc deg
    k(84)= condition.MassDecay; % mass decay
    k(85)= condition.MYCtSyn; % myc transcript synthesis
    k(86)= condition.MYCtDeg; % myc transcript degredation;
     %%%%%%%%%%%%%
    % Constants
    %%%%%%%%%%%%%
    % Param	in model
    % 1     k15
    % 2     k16
    % *3     J15
    % 4     k17a
    % 5     k17
    % *6     J17
    % 7     k18
    % 8     K9
    % 9     K10
    % 10	k24
    % 11	k24r
    % 12	K7a
    % 13	K7
    % 14	K8a
    % 15	K8
    % 16	K25
    % 17	K25R
    % *18	J8
    % *19	YE
    % *20	YB
    % 21	K29
    % 22	K30
    % 23	K1a
    % 24	K1
    % *25	J1
    % 26	K2a
    % 27	K2
    % 28	K2aa
    % 29	K5
    % 30	K6a
    % 31	K6
    % *32	HE
    % *33	HB
    % *34	HA
    % 35	RBT
    % *36	LD
    % *37	LE
    % *38	LB
    % *39	LA
    % 40	K20
    % 41	K19a
    % 42	K19
    % *43	K21
    % *44	PP1T
    % *45	FE
    % *46	FB
    % 47	K3a
    % 48	K3
    % *49	J3
    % *50	J4
    % 51	K4
    % *52	GE
    % *53	GB
    % *54	GA
    % 55	K33
    % 56	K34
    % 57	K31
    % 58	K32
    % *59	J31
    % *60	J32
    % 61	K11a
    % 62	K11
    % 63	K12
    % 64	K13
    % 65	K14
    % *66	J13
    % *67	J14
    % 68	E2FT
    % 69	K22
    % 70	K23a
    % 71	K23
    % 72	K26
    % 73	K26R
    % 74	K27
    % 75	K28
    % 76	MU
    % *77	eps
    % 78    CycDt synthesis rate
    % 79    CycDt deg rate
    % 80    Bcl2t synthesis rate
    % 81    Bcl2t deg rate
    % 82    myc synthesis rate
    % 83    myc degradation rate
    
    %x0=x0.*4;
    %x0(13)= 1.35565;
    % 15 Mass
    %x0(15)= 1.68776;

    %k(68)=5;
    names = {'CycA','CycB','CycD','CycE','mCycD','mBcl2','Cdh1','CA','CD', ...
        'CDc20','CDc20T','CE','GM','IEP','Mass','p27','PPX','pp-Rb','E2F', ...
        'p-E2F','Rb','E2F-Rb','p-E2F-Rb','Growth','MYC','mMYC'};
end